package cz.muni.fi.pb162.encyclopedia;


/**
 * TO DO: comparator podle jmena
 */
public class Species
{
    private String name;
    
    public Species(String name)
    {
        if (name == null) throw new IllegalArgumentException();
        this.name = name;
    }
    
    public String getName()
    {
        return name;
    }
    
    public String toString()
    {
        return name;
    }
    
    public boolean equals(Object obj) {
        if (obj == this) return true;
        
        if (obj instanceof Species) {
            Species sp = (Species) obj;
            return sp.getName().equals(this.getName());
        }
        return false;
    }
    
    public int hashCode() {
        return name.hashCode();
    }    
}
