package cz.muni.fi.pb162.encyclopedia;


/**
 * TO DO: komparator podle id
 */
public class Animal
{
    private String name;
    private Species species;
    private int id;
    
    public Animal(int id, String name, Species species) {
        if (name == null || name.equals("")) throw new IllegalArgumentException();
        if (species == null) throw new IllegalArgumentException();
        this.id = id;
        this.name = name;
        this.species = species;        
    }
    
    public String toString() {
        return name;
    }
    
    public String getName()
    {
        return name;
    }
    
    public int getId() 
    {
        return id;
    }
    
    public Species getSpecies() {
        return species;
    }

    public boolean equals(Object obj) {
        if (obj == this) return true;
        return ((obj instanceof Animal) && (id == ((Animal)obj).id));
    }
    
    public int hashCode() {
        return id;
    }
}
